# kill

> إرسال إشارة إلى عملية (Process)، عادةً لإيقافها.
> يمكن لجميع الإشارات باستثناء SIGKILL و SIGSTOP أن يتم اعتراضها بواسطة العملية لإنهاء نظيف.
> لمزيد من التفاصيل: <https://manned.org/kill.1posix>.

- إنهاء برنامج باستخدام الإشارة الافتراضية SIGTERM (إنهاء):

`kill {{process_id}}`

- عرض أسماء الإشارات المتاحة (تُستخدم بدون بادئة `SIG`):

`kill -l`

- إنهاء برنامج باستخدام الإشارة SIGHUP (قطع الاتصال). العديد من الخدمات (Daemons) ستقوم بإعادة التحميل بدلاً من الإنهاء:

`kill -{{1|HUP}} {{process_id}}`

- إنهاء برنامج باستخدام الإشارة SIGINT (المقاطعة). يتم تنفيذ ذلك عادةً عند ضغط المستخدم على `<Ctrl c>`:

`kill -{{2|INT}} {{process_id}}`

- إرسال إشارة إلى نظام التشغيل لإنهاء البرنامج فورًا (لن تتاح له فرصة لمعالجة الإشارة):

`kill -{{9|KILL}} {{process_id}}`

- إرسال إشارة إلى نظام التشغيل لإيقاف برنامج مؤقتًا حتى يتم استلام إشارة SIGCONT ("متابعة"):

`kill -{{17|STOP}} {{process_id}}`

- إرسال إشارة `SIGUSR1` إلى جميع العمليات التي تملك معرف المجموعة المحدد (GID):

`kill -{{SIGUSR1}} -{{group_id}}`
