# kill

> يرسل إشارة إلى عملية (Process)، وعادةً ما يكون ذلك متعلقًا بإيقاف العملية.
> يمكن اعتراض جميع الإشارات باستثناء SIGKILL وSIGSTOP بواسطة العملية لتنفيذ خروج نظيف.
> لمزيد من التفاصيل: <https://manned.org/kill>.

- إنهاء برنامج باستخدام الإشارة الافتراضية SIGTERM (إنهاء):

`kill {{process_id}}`

- عرض قيم الإشارات وأسمائها المقابلة (يجب استخدامها بدون البادئة `SIG`). قد تختلف الخيارات المتاحة حسب تنفيذ `kill`:

`kill {{-l|-L|--table}}`

- إنهاء وظيفة (Job) تعمل في الخلفية:

`kill %{{job_id}}`

- إنهاء برنامج باستخدام الإشارة SIGHUP (قطع الاتصال). العديد من الخدمات (Daemons) ستقوم بإعادة التحميل بدلاً من الإنهاء:

`kill -{{1|HUP}} {{process_id}}`

- إنهاء برنامج باستخدام الإشارة SIGINT (المقاطعة). يتم تنفيذ ذلك عادةً عند ضغط المستخدم على `<Ctrl c>`:

`kill -{{2|INT}} {{process_id}}`

- إرسال إشارة إلى نظام التشغيل لإنهاء برنامج فورًا (لن تتاح له فرصة لمعالجة الإشارة):

`kill -{{9|KILL}} {{process_id}}`

- إرسال إشارة إلى نظام التشغيل لإيقاف برنامج مؤقتًا حتى يتم استقبال إشارة SIGCONT ("المتابعة"):

`kill -{{17|STOP}} {{process_id}}`

- إرسال إشارة `SIGUSR1` إلى جميع العمليات التي تملك معرف المجموعة (GID) المحدد:

`kill -{{SIGUSR1}} -{{group_id}}`
